{
	"$schema": "https://biomejs.dev/schemas/2.4.13/schema.json",
	"vcs": {
		"enabled": true,
		"clientKind": "git",
		"useIgnoreFile": true
	},
	"files": {
		"includes": [
			"**",
			"!!**/dist",
			"!!**/dist-test",
			"!!**/rust-engine/npm",
			"!!src/resources/skills/create-sf-extension/templates/**"
		]
	},
	"formatter": {
		"enabled": true,
		"indentStyle": "tab"
	},
	"linter": {
		"enabled": true,
		"rules": {
			"recommended": true,
			"correctness": {
				"noUnreachable": "off"
			},
			"style": {
				"noNonNullAssertion": "off",
				"useTemplate": "off"
			},
			"suspicious": {
				"noAssignInExpressions": "off",
				"noControlCharactersInRegex": "off",
				"noDuplicateTestHooks": "off",
				"noExplicitAny": "off",
				"noImplicitAnyLet": "off",
				"useIterableCallbackReturn": "off"
			},
			"complexity": {
				"useLiteralKeys": "off",
				"useOptionalChain": "off"
			}
		}
	},
	"javascript": {
		"formatter": {
			"quoteStyle": "double"
		}
	},
	"assist": {
		"enabled": true,
		"actions": {
			"source": {
				"organizeImports": "on"
			}
		}
	}
}
